{
  config,
  pkgs,
  lib,
  ...
}: {
  hardware.nvidia = {
    powerManagement.enable = true;
    prime = {
      reverseSync.enable = true;
      # offload = {
      #   enable = true;
      #   enableOffloadCmd = true;
      # };

      intelBusId = "PCI:0:2:0";
      nvidiaBusId = "PCI:1:0:0";
    };
  };
}
